%define oname   ZenTest

Name:       ruby-%{oname}
Version:    4.8.2
Release:    %mkrel 5
Summary:    ZenTest provides zentest, unit_diff, autotest, and multiruby
Group:      Development/Ruby
License:    MIT
URL:        http://www.zenspider.com/ZSS/Products/ZenTest/
Source0:    http://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
Conflicts:  rubygem(autotest)
Obsoletes:  ruby-zentest < %{version}
BuildArch:  noarch

%description
ZenTest provides 4 different tools: zentest, unit_diff, autotest, and
multiruby.

ZenTest scans your target and unit-test code and writes your missing
code based on simple naming rules, enabling XP at a much quicker
pace. ZenTest only works with Ruby and Test::Unit. Nobody uses this
tool anymore but it is the package namesake, so it stays.

unit_diff is a command-line filter to diff expected results from
actual results and allow you to quickly see exactly what is wrong.

autotest is a continous testing facility meant to be used during
development. As soon as you save a file, autotest will run the
corresponding dependent tests.

multiruby runs anything you want on multiple versions of ruby. Great
for compatibility checking! Use multiruby_setup to manage your
installed versions.


#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Obsoletes:	ruby-zentest-doc < %{version}
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{ruby_gemdir}/doc/%{oname}-%{version}
#-------------------------------------------------------------------------------

%prep
%setup -q
tar xmf data.tar.gz

%build
%gem_build

%install
%gem_install
rm %{buildroot}%{ruby_gemdir}/gems/%{oname}-%{version}/{*\.txt,articles/how_to_use_zentest.txt}

# fix shebang
ruby -pi -e 'sub(/\/usr\/local\/bin\/ruby/, "/usr/bin/env ruby")' %{buildroot}%{ruby_gemdir}/gems/%{oname}-%{version}/bin/*

%files
%{_bindir}/autotest
%{_bindir}/multigem
%{_bindir}/multiruby
%{_bindir}/multiruby_setup
%{_bindir}/unit_diff
%{_bindir}/zentest
%dir %{ruby_gemdir}/gems/%{oname}-%{version}/
%{ruby_gemdir}/gems/%{oname}-%{version}/bin
%{ruby_gemdir}/gems/%{oname}-%{version}/lib
%{ruby_gemdir}/specifications/%{oname}-%{version}.gemspec
%doc History.txt Manifest.txt README.txt articles/ example.txt



%changelog

* Fri Feb 08 2013 umeabot <umeabot> 4.8.2-5.mga3
+ Revision: 395703
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 4.8.2-4.mga3
+ Revision: 380619
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 02 2012 fwang <fwang> 4.8.2-3.mga3
+ Revision: 312558
- obsolete same name package

* Thu Nov 01 2012 fwang <fwang> 4.8.2-2.mga3
+ Revision: 311978
- rebuild for new ruby

* Fri Aug 10 2012 shlomif <shlomif> 4.8.2-1.mga3
+ Revision: 280449
- New version 4.8.2 + de-yardoc-ification.
  Thanks to aghero (one of my apprentices) for the patch.

  + solbu <solbu>
    - New version
    - Spec cleanup

* Sat Apr 16 2011 shikamaru <shikamaru> 4.5.0-1.mga1
+ Revision: 86335
- new version 4.5.0

* Sat Apr 09 2011 shikamaru <shikamaru> 4.4.0-4.mga1
+ Revision: 82554
- add Conflicts against ruby-autotest

* Tue Jan 25 2011 shikamaru <shikamaru> 4.4.0-3.mga1
+ Revision: 39650
- rebuild for new rubygems.rb

* Mon Jan 24 2011 shikamaru <shikamaru> 4.4.0-2.mga1
+ Revision: 37486
- imported package ruby-ZenTest

